Package svnmailer :: Package notifier :: Module _textmail :: Class TextMailNotifier

[hide private]

# Class TextMailNotifier

source code

            object --+
                     |
    _base.BaseNotifier --+
                         |
        _text.TextNotifier --+
                             |
            _mail.MailNotifier --+
                                 |
                                TextMailNotifier

Known Subclasses:
  - _textnews.TextNewsNotifier

Bases class for textual mail notifiers

Instance Methods | [hide private]

file like object

_getMailWriter(self, fp) Returns a mail writer | source code

`list` of `_TextMail`

_getTextMails(self, charset, enc) Returns the text mail(s) | source code

`tuple`

composeMail(self) Composes the mail | source code

sendMail(self, sender, to_addr, mail) Sends the mail (abstract method) | source code

Inherited from `_mail.MailNotifier`: `__init__`, `composeHeaders`, `getBasicHeaders`, `getCustomHeaders`, `getMailAddresses`, `getMailSubject`, `getMails`, `getTransferEncoding`, `run`, `writeNotification`

Inherited from `_mail.MailNotifier` (private): `_getPathString`, `_getPrefixedDirectories`, `_getPrefixedFiles`

Inherited from `_text.TextNotifier`: `getDate`, `writeContentDiff`, `writeContentDiffAction`, `writeDiff`, `writeDiffList`, `writeLockData`, `writeMetaData`, `writePathInfo`, `writePathList`, `writePropertyDiff`, `writePropertyDiffAction`, `writePropertyDiffs`, `writeRevPropData`

Inherited from `_text.TextNotifier` (private): `_doWritePathList`

Inherited from `_base.BaseNotifier`: `dumpContent`, `getAuthor`, `getContentDiffAction`, `getContentDiffUrl`, `getContentEncodingProperty`, `getContentEncodings`, `getDiffTokens`, `getDiffer`, `getEncodingFromMimeType`, `getLog`, `getPropertyDiffAction`, `getTempDir`, `getTempFile`, `getTime`, `getUrl`, `isBinaryProperty`, `isOneLineProperty`, `isUTF8Property`

Inherited from `_base.BaseNotifier` (private): `_getContentEncoding`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| __implements__ = ``[`<class 'svnmailer.notifier._mail.MailNotifie`...``
Inherited from `_mail.MailNotifier`: `COMMIT_SUBJECT`, `LOCK_SUBJECT`, `REVPROP_SUBJECT`, `UNLOCK_SUBJECT` Inherited from `_text.TextNotifier`: `OUTPUT_SEPARATOR`, `OUTPUT_SEPARATOR_LIGHT` Inherited from `_base.BaseNotifier`: `ADD`, `COPY`, `DELETE`, `ENC_CONFIG`, `ENC_DEFAULT`, `ENC_PROPERTY`, `MODIFY`, `NONE`, `PROPCHANGE` Inherited from `_base.BaseNotifier` (private): `_diffable_tests`

Instance Variables | [hide private]

Inherited from `_mail.MailNotifier` (private): `_header_re` Inherited from `_text.TextNotifier`: `changeset`, `config`, `differ`, `fp` Inherited from `_base.BaseNotifier` (private): `_groupset`, `_penc_cache`, `_settings`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### _getMailWriter(self, fp)

source code

Returns a mail writer

Parameters:
  - `fp` (file like object) - The stream to wrap
Returns: file like object
  The file object

### _getTextMails(self, charset, enc)

source code

Returns the text mail(s)

Parameters:
  - `charset` (`str`) - The mail charset
  - `enc` (`str`) - transfer encoding token
Returns: `list` of `_TextMail`
  The mail(s)

### composeMail(self)

source code

Composes the mail

Returns: `tuple`
  The senders, the receivers, the mail(s)
Overrides: _mail.MailNotifier.composeMail

### sendMail(self, sender, to_addr, mail)

source code

Sends the mail (abstract method)

Parameters:
  - `sender` - The mail sender (envelope from)
  - `to_addr` - The receivers
  - `mail` - The mail object
Overrides: _mail.MailNotifier.sendMail

Class Variable Details | [hide private]

### __implements__

Value:

      [<class 'svnmailer.notifier._mail.MailNotifier'>]